Bug 1181559 - scipy-v0.18.1 is available
Summary: scipy-v0.18.1 is available
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: scipy
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature, Triaged
: 1239996 1308439 (view as bug list)
Depends On: 1284478
Blocks: ARMTracker F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-01-13 11:29 UTC by Upstream Release Monitoring
Modified: 2016-11-10 01:30 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-10 01:30:11 UTC


Attachments (Terms of Use)
[patch] Update to 0.16.0b1 (#1181559) (878 bytes, text/x-diff)
2015-05-14 01:27 UTC, Upstream Release Monitoring
no flags Details
[patch] Update to 0.16.0b2 (#1181559) (878 bytes, text/x-diff)
2015-05-25 01:18 UTC, Upstream Release Monitoring
no flags Details
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.18 KB, patch)
2016-05-12 12:24 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.19 KB, patch)
2016-06-21 01:27 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.19 KB, patch)
2016-07-09 12:39 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.20 KB, patch)
2016-07-25 12:21 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (4.86 KB, patch)
2016-08-05 10:04 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (4.86 KB, patch)
2016-08-27 13:43 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.02 KB, patch)
2016-09-19 12:22 UTC, Upstream Release Monitoring
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1239996 None None None Never

Internal Trackers: 1239996

Description Upstream Release Monitoring 2015-01-13 11:29:45 UTC
Latest upstream release: 0.15.0
Current version/release in Fedora Rawhide: 0.14.1-1.fc22
URL: http://sourceforge.net/api/file/index/project-name/scipy/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 1 Upstream Release Monitoring 2015-01-19 10:36:23 UTC
Latest upstream release: 0.15.1
Current version/release in Fedora Rawhide: 0.14.1-1.fc22
URL: http://sourceforge.net/api/file/index/project-name/scipy/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 2 Orion Poplawski 2015-04-02 04:20:20 UTC
We're getting segfaults on arm tests now.

Comment 3 Orion Poplawski 2015-04-03 03:13:33 UTC
Unfortunately I cannot reproduce with any verbosity > 1 (which would tell us what test is failing).  However, valgrind does point to atlas/lapack:

==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x79C5EB4: ATL_itlaenv (in /usr/lib/atlas/libtatlas.so.3.10)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x79C5EC8: ATL_itlaenv (in /usr/lib/atlas/libtatlas.so.3.10)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x79C63C4: ATL_itlaenv (in /usr/lib/atlas/libtatlas.so.3.10)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x7E09474: dgehrd_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x7E0420B: dgeev_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x9F14E4F: ??? (in /builddir/build/BUILDROOT/scipy-0.15.1-1.fc23.arm/usr/lib/python3.4/site-packages/scipy/linalg/_flapack.cpython-34m.so)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49554AB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4956C4F: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x48C4427: ??? (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49537FB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4958877: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x7E094F0: dgehrd_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x7E0420B: dgeev_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x9F14E4F: ??? (in /builddir/build/BUILDROOT/scipy-0.15.1-1.fc23.arm/usr/lib/python3.4/site-packages/scipy/linalg/_flapack.cpython-34m.so)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49554AB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4956C4F: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x48C4427: ??? (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49537FB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4958877: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511== 
==12511== Use of uninitialised value of size 4
==12511==    at 0x4BD1744: _itoa_word (in /usr/lib/libc-2.21.90.so)
==12511==    by 0x4BD55F3: vfprintf (in /usr/lib/libc-2.21.90.so)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x4BD174C: _itoa_word (in /usr/lib/libc-2.21.90.so)
==12511==    by 0x4BD55F3: vfprintf (in /usr/lib/libc-2.21.90.so)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x4BD5038: vfprintf (in /usr/lib/libc-2.21.90.so)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x4BD59A4: vfprintf (in /usr/lib/libc-2.21.90.so)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x4BD50F0: vfprintf (in /usr/lib/libc-2.21.90.so)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x4BD5130: vfprintf (in /usr/lib/libc-2.21.90.so)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x7E9C8F0: dorghr_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x7E042AB: dgeev_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x9F14E4F: ??? (in /builddir/build/BUILDROOT/scipy-0.15.1-1.fc23.arm/usr/lib/python3.4/site-packages/scipy/linalg/_flapack.cpython-34m.so)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49554AB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4956C4F: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x48C4427: ??? (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49537FB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4958877: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x7E9C8F4: dorghr_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x7E042AB: dgeev_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x9F14E4F: ??? (in /builddir/build/BUILDROOT/scipy-0.15.1-1.fc23.arm/usr/lib/python3.4/site-packages/scipy/linalg/_flapack.cpython-34m.so)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49554AB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4956C4F: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x48C4427: ??? (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49537FB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4958877: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x7E9C960: dorghr_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x7E042AB: dgeev_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x9F14E4F: ??? (in /builddir/build/BUILDROOT/scipy-0.15.1-1.fc23.arm/usr/lib/python3.4/site-packages/scipy/linalg/_flapack.cpython-34m.so)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49554AB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4956C4F: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x48C4427: ??? (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49537FB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4958877: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x7E441F0: dhseqr_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x7E04323: dgeev_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x9F14E4F: ??? (in /builddir/build/BUILDROOT/scipy-0.15.1-1.fc23.arm/usr/lib/python3.4/site-packages/scipy/linalg/_flapack.cpython-34m.so)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49554AB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4956C4F: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x48C4427: ??? (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49537FB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4958877: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x7E44210: dhseqr_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x7E04323: dgeev_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x9F14E4F: ??? (in /builddir/build/BUILDROOT/scipy-0.15.1-1.fc23.arm/usr/lib/python3.4/site-packages/scipy/linalg/_flapack.cpython-34m.so)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49554AB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4956C4F: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x48C4427: ??? (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49537FB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4958877: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x7DFEAC8: dgebak_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x7E04C9F: dgeev_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x9F14E4F: ??? (in /builddir/build/BUILDROOT/scipy-0.15.1-1.fc23.arm/usr/lib/python3.4/site-packages/scipy/linalg/_flapack.cpython-34m.so)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49554AB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4956C4F: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x48C4427: ??? (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49537FB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4958877: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511== 
==12511== Conditional jump or move depends on uninitialised value(s)
==12511==    at 0x7DFEAE0: dgebak_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x7E04C9F: dgeev_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x9F14E4F: ??? (in /builddir/build/BUILDROOT/scipy-0.15.1-1.fc23.arm/usr/lib/python3.4/site-packages/scipy/linalg/_flapack.cpython-34m.so)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49554AB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4956C4F: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x48C4427: ??? (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49537FB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4958877: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511== 
==12511== Invalid read of size 8
==12511==    at 0x7E791BC: dlascl_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x7E043C3: dgeev_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x9F14E4F: ??? (in /builddir/build/BUILDROOT/scipy-0.15.1-1.fc23.arm/usr/lib/python3.4/site-packages/scipy/linalg/_flapack.cpython-34m.so)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49554AB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4956C4F: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x48C4427: ??? (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49537FB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4958877: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==  Address 0x5af42b0 is 8 bytes after an unallocated block of size 704 in arena "client"
==12511== 
==12511== Invalid write of size 8
==12511==    at 0x7E791CC: dlascl_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x7E043C3: dgeev_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x9F14E4F: ??? (in /builddir/build/BUILDROOT/scipy-0.15.1-1.fc23.arm/usr/lib/python3.4/site-packages/scipy/linalg/_flapack.cpython-34m.so)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49554AB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4956C4F: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x48C4427: ??? (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49537FB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4958877: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==  Address 0x5af42b0 is 8 bytes after an unallocated block of size 704 in arena "client"
==12511== 
==12511== Invalid read of size 8
==12511==    at 0x7E791D0: dlascl_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x7E043C3: dgeev_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x9F14E4F: ??? (in /builddir/build/BUILDROOT/scipy-0.15.1-1.fc23.arm/usr/lib/python3.4/site-packages/scipy/linalg/_flapack.cpython-34m.so)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49554AB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4956C4F: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x48C4427: ??? (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49537FB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4958877: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==  Address 0x5af42b8 is 16 bytes after an unallocated block of size 704 in arena "client"
==12511== 
==12511== Invalid read of size 8
==12511==    at 0x7E791BC: dlascl_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x7E04423: dgeev_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x9F14E4F: ??? (in /builddir/build/BUILDROOT/scipy-0.15.1-1.fc23.arm/usr/lib/python3.4/site-packages/scipy/linalg/_flapack.cpython-34m.so)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49554AB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4956C4F: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x48C4427: ??? (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49537FB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4958877: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==  Address 0x6abf5f8 is 8 bytes after an unallocated block of size 1,072 in arena "client"
==12511== 
==12511== Invalid write of size 8
==12511==    at 0x7E791CC: dlascl_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x7E04423: dgeev_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x9F14E4F: ??? (in /builddir/build/BUILDROOT/scipy-0.15.1-1.fc23.arm/usr/lib/python3.4/site-packages/scipy/linalg/_flapack.cpython-34m.so)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49554AB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4956C4F: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x48C4427: ??? (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49537FB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4958877: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==  Address 0x6abf5f8 is 8 bytes after an unallocated block of size 1,072 in arena "client"
==12511== 
==12511== Invalid read of size 8
==12511==    at 0x7E791D0: dlascl_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x7E04423: dgeev_ (in /usr/lib/atlas/libtatlas.so.3.10)
==12511==    by 0x9F14E4F: ??? (in /builddir/build/BUILDROOT/scipy-0.15.1-1.fc23.arm/usr/lib/python3.4/site-packages/scipy/linalg/_flapack.cpython-34m.so)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49554AB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4956C4F: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x495927F: PyEval_EvalCodeEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x48C4427: ??? (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4899E57: PyObject_Call (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x49537FB: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==    by 0x4958877: PyEval_EvalFrameEx (in /usr/lib/libpython3.4m.so.1.0)
==12511==  Address 0x6abf600 is 16 bytes after an unallocated block of size 1,072 in arena "client"
==12511==
E.K..
valgrind: m_mallocfree.c:304 (get_bszB_as_is): Assertion 'bszB_lo == bszB_hi' failed.

Comment 4 Upstream Release Monitoring 2015-05-14 01:26:46 UTC
Latest upstream release: 0.16.0b1
Current version/release in rawhide: 0.14.1-1.fc22
URL: http://sourceforge.net/projects/scipy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 5 Upstream Release Monitoring 2015-05-14 01:27:11 UTC
Created attachment 1025242 [details]
[patch] Update to 0.16.0b1 (#1181559)

Comment 6 Upstream Release Monitoring 2015-05-14 03:18:21 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9730181

Comment 7 Upstream Release Monitoring 2015-05-25 01:17:43 UTC
Latest upstream release: 0.16.0b2
Current version/release in rawhide: 0.14.1-1.fc22
URL: http://sourceforge.net/projects/scipy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 8 Upstream Release Monitoring 2015-05-25 01:18:36 UTC
Created attachment 1029317 [details]
[patch] Update to 0.16.0b2 (#1181559)

Comment 9 Upstream Release Monitoring 2015-05-25 04:00:47 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9838563

Comment 10 Fedora Admin XMLRPC Client 2015-09-09 19:29:54 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Fedora Admin XMLRPC Client 2015-09-09 19:54:06 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Upstream Release Monitoring 2015-10-25 00:16:58 UTC
Latest upstream release: 0.16.1
Current version/release in rawhide: 0.14.1-1.fc22
URL: http://sourceforge.net/projects/scipy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 13 Upstream Release Monitoring 2015-10-25 00:17:17 UTC
Failed to kick off scratch build.

cmd:  fedpkg sources
return code:  1
stdout:
Downloading scipy-0.16.0.tar.gz

######################################################################## 100.0%
######################################################################## 100.0%
######################################################################## 100.0%
######################################################################## 100.0%

stderr:
Could not execute sources: Server returned status code 404

Comment 14 Thomas Spura 2015-11-14 13:49:10 UTC
It seems this test fails:
Check linalg works with non-aligned memory ... ok
Check linalg works with non-aligned memory ... *** Error in `/usr/bin/python3': realloc(): invalid next size: 0x8110cad8 ***

See:
- http://koji.fedoraproject.org/koji/taskinfo?taskID=11833686
- https://kojipkgs.fedoraproject.org//work/tasks/3716/11833716/build.log

Orion, do you have an arm device available and could try to reproduce it?

Comment 15 Thomas Spura 2015-11-14 13:50:07 UTC
*** Bug 1239996 has been marked as a duplicate of this bug. ***

Comment 16 Orion Poplawski 2015-11-14 15:04:01 UTC
I've use some of the arm machines listed here in the past: https://fedoraproject.org/wiki/Test_Machine_Resources_For_Package_Maintainers

I've not had any luck.  I think it's an atlas issue, and I'm contemplating disabling building with atlas on arm.  It might also be time to switch to openblas (which is x86 only).

Comment 17 Upstream Release Monitoring 2015-11-14 19:47:26 UTC
besser82's scipy-0.16.1-4.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=699313

Comment 18 Thomas Spura 2015-11-15 13:54:46 UTC
It seems the compile flags don't play nice with each other, such as numpy, scipy, %{optflags}, -fPIC ... I set "-fPIC" for the fortran flags in %build, but seem to have forgotten them in %install, so that was one source of possible segfaults and it is failing now somewhere else. Will try to track it down later this week.

Comment 19 Upstream Release Monitoring 2015-11-23 10:20:25 UTC
rkuska's scipy-0.16.1-6.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=700698

Comment 20 Thomas Spura 2015-11-23 12:53:49 UTC
In addition to the SIGILL in openssl in bug #1284478, this crash appears afterwards, when "continue"'ing inside of gdb:
test_lower_complex (test_decomp_cholesky.TestCholeskyBanded) ... *** Error in `/usr/bin/python3': free(): invalid next size (fast): 0x801eaf38 ***
[snip]
Program received signal SIGABRT, Aborted.
0xb6b7d7a0 in raise () from /lib/libc.so.6
(gdb) bt full
#0  0xb6b7d7a0 in raise () from /lib/libc.so.6
No symbol table info available.
#1  0xb6b7ed78 in abort () from /lib/libc.so.6
No symbol table info available.
#2  0xb6bb9324 in __libc_message () from /lib/libc.so.6
No symbol table info available.
#3  0xb6bc2634 in _int_free () from /lib/libc.so.6
No symbol table info available.
#4  0xb6678ca8 in array_dealloc () from /usr/lib/python3.4/site-packages/numpy/core/multiarray.cpython-34m.so
No symbol table info available.
#5  0xb6dedb9c in cell_dealloc () from /lib/libpython3.4m.so.1.0
No symbol table info available.
#6  0xb6e016e4 in frame_dealloc () from /lib/libpython3.4m.so.1.0
No symbol table info available.
[snip]

As openssl might have corrupted the stack, maybe it would be better to fix openssl and try to reproduce this then again.

Comment 21 Upstream Release Monitoring 2016-02-15 17:36:45 UTC
Latest upstream release: 0.17.0
Current version/release in rawhide: 0.12.1-3.el7
URL: http://scipy.org/scipylib/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 22 Upstream Release Monitoring 2016-02-15 17:37:09 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-sUxn7B/scipy.spec
return code:  22
stdout:
Getting http://downloads.sourceforge.net/scipy/scipy-0.17.0.tar.gz to ./scipy-0.17.0.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 23 Charalampos Stratakis 2016-03-13 15:12:17 UTC
*** Bug 1308439 has been marked as a duplicate of this bug. ***

Comment 24 Christian Dersch 2016-04-23 11:25:34 UTC
Any news on this? I see 0.17.0 @scm for Rawhide and 24, but no builds. Would be nice to see it in F24+ :) Thanks.

Comment 25 Thomas Spura 2016-04-23 16:48:05 UTC
There is a build failure on arm, see e.g. this scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13776224

I didn't found the time to further track it down. A helping hand is very much appreciated :)

Comment 26 Christian Dersch 2016-04-25 14:02:10 UTC
I'll take a look at it within the next days

Comment 27 Orion Poplawski 2016-04-25 16:06:23 UTC
Last I checked it was deep in atlas.  Are there other blas options for arm these days?

Comment 28 Thomas Spura 2016-04-25 16:16:45 UTC
openblas has at least builds for arm, but I've never tested it.

Comment 29 Christian Dersch 2016-04-25 16:54:21 UTC
openblas should be fine

Comment 30 Upstream Release Monitoring 2016-05-12 12:23:22 UTC
Latest upstream release: 0.17.1
Current version/release in rawhide: 0.12.1-3.el7
URL: http://scipy.org/scipylib/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4768/

Comment 31 Upstream Release Monitoring 2016-05-12 12:24:04 UTC
Patching or scratch build for scipy-0.12.1 failed.

Comment 32 Upstream Release Monitoring 2016-05-12 12:24:07 UTC
Created attachment 1156661 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 33 Upstream Release Monitoring 2016-05-12 12:24:11 UTC
Patches were not touched. All were applied properly

Comment 34 Upstream Release Monitoring 2016-06-21 01:26:26 UTC
Latest upstream release: 0.18.0rc1
Current version/release in rawhide: 0.12.1-3.el7
URL: http://scipy.org/scipylib/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4768/

Comment 35 Upstream Release Monitoring 2016-06-21 01:27:08 UTC
Patching or scratch build for scipy-0.12.1 failed.

Comment 36 Upstream Release Monitoring 2016-06-21 01:27:11 UTC
Created attachment 1170034 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 37 Upstream Release Monitoring 2016-06-21 01:27:15 UTC
Patches were not touched. All were applied properly

Comment 38 Upstream Release Monitoring 2016-07-09 12:38:18 UTC
Latest upstream release: 0.18.0rc2
Current version/release in rawhide: 0.12.1-3.el7
URL: http://scipy.org/scipylib/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4768/

Comment 39 Upstream Release Monitoring 2016-07-09 12:39:00 UTC
Patching or scratch build for scipy-0.12.1 failed.

Comment 40 Upstream Release Monitoring 2016-07-09 12:39:03 UTC
Created attachment 1177870 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 41 Upstream Release Monitoring 2016-07-09 12:39:06 UTC
Patches were not touched. All were applied properly

Comment 42 Upstream Release Monitoring 2016-07-25 12:21:03 UTC
Latest upstream release: 0.18.0
Current version/release in rawhide: 0.12.1-3.el7
URL: http://scipy.org/scipylib/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4768/

Comment 43 Upstream Release Monitoring 2016-07-25 12:21:47 UTC
Patching or scratch build for scipy-0.12.1 failed.

Comment 44 Upstream Release Monitoring 2016-07-25 12:21:51 UTC
Created attachment 1183769 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 45 Upstream Release Monitoring 2016-07-25 12:21:54 UTC
Patches were not touched. All were applied properly

Comment 46 Upstream Release Monitoring 2016-07-29 05:59:07 UTC
than's scipy-0.18.0-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=786210

Comment 47 Upstream Release Monitoring 2016-08-05 10:03:19 UTC
Latest upstream release: v0.18.0
Current version/release in rawhide: 0.12.1-3.el7
URL: http://www.scipy.org/scipylib/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4768/

Comment 48 Upstream Release Monitoring 2016-08-05 10:04:02 UTC
Patching or scratch build for scipy-0.12.1 failed.

Comment 49 Upstream Release Monitoring 2016-08-05 10:04:06 UTC
Created attachment 1187816 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 50 Upstream Release Monitoring 2016-08-05 10:04:10 UTC
Patches were not touched. All were applied properly

Comment 51 Upstream Release Monitoring 2016-08-27 13:42:31 UTC
Latest upstream release: v0.18.0-1
Current version/release in rawhide: 0.12.1-3.el7
URL: http://www.scipy.org/scipylib/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4768/

Comment 52 Upstream Release Monitoring 2016-08-27 13:43:12 UTC
Patching or scratch build for scipy-0.12.1 failed.

Comment 53 Upstream Release Monitoring 2016-08-27 13:43:16 UTC
Created attachment 1194833 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 54 Upstream Release Monitoring 2016-08-27 13:43:20 UTC
Following patches has been unapplied:
['xwax-import.patch']

Comment 55 Upstream Release Monitoring 2016-09-19 12:21:34 UTC
Latest upstream release: v0.18.1
Current version/release in rawhide: 0.12.1-3.el7
URL: http://www.scipy.org/scipylib/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4768/

Comment 56 Upstream Release Monitoring 2016-09-19 12:22:15 UTC
Patching or scratch build for scipy-0.12.1 failed.

Comment 57 Upstream Release Monitoring 2016-09-19 12:22:19 UTC
Created attachment 1202469 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 58 Upstream Release Monitoring 2016-09-19 12:22:24 UTC
Following patches has been deleted:
['lis-1.5.60-optflags.patch']


Note You need to log in before you can comment on or make changes to this bug.